> ## Documentation Index
> Fetch the complete documentation index at: https://docs.truthlocks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Obtener Paquete de Prueba

> Devuelve un paquete de prueba completo para verificación fuera de línea. Incluye:
- La propia atestación
- Información del emisor
- Clave pública utilizada para la firma
- Prueba de inclusión en el registro de transparencia
- Encabezado de árbol firmado


Devuelve un paquete de prueba completo para verificación fuera de línea. Incluye la atestación, información del emisor, clave pública, prueba de inclusión en el registro de transparencia y encabezado de árbol firmado.

### Respuestas


## OpenAPI

````yaml es/mint-openapi.yaml GET /v1/attestations/{id}/proof-bundle
openapi: 3.0.3
info:
  title: Truthlocks API
  description: >
    Truthlocks es una infraestructura de verificación universal para documentos,
    credenciales y activos digitales.

    Esta especificación define la API canónica para interactuar con los
    servicios de Truthlocks.


    ## URLs Base

    - **Producción**: `https://api.truthlocks.com`

    - **Sandbox**: `https://sandbox-api.truthlocks.com`


    ## Autenticación

    - **Claves API**: Use el encabezado `X-API-Key` para operaciones máquina a
    máquina

    - **Tokens Bearer**: Use `Authorization: Bearer <jwt>` para operaciones
    iniciadas por el usuario


    ## Identidad del Inquilino

    En producción, la identidad del inquilino se deriva del contexto autenticado
    (clave API o JWT).

    El encabezado `X-Tenant-ID` se ignora en producción para evitar la
    suplantación de identidad.
  version: 1.0.0
  contact:
    name: Truthlocks Support
    url: https://truthlocks.com/support
    email: support@truthlocks.com
servers:
  - url: https://api.truthlocks.com
    description: API de producción
  - url: https://sandbox-api.truthlocks.com
    description: Entorno Sandbox
security:
  - APIKey: []
  - BearerAuth: []
tags:
  - name: Authentication
    description: Gestión de claves y tokens de API
  - name: Issuers
    description: Registro del emisor y gestión de la confianza
  - name: Keys
    description: Gestión de claves criptográficas para emisores
  - name: Attestations
    description: Ciclo de vida de la atestación (acuñar, revocar, reemplazar)
  - name: Verification
    description: Verificación de atestación y paquetes de prueba
  - name: Governance
    description: Flujos de trabajo de gobernanza del emisor (solo administrador)
  - name: Identity
    description: Gestión de organización, usuarios y roles
  - name: Audit
    description: Consultas de eventos de auditoría
  - name: Tenant Console
    description: Puntos finales de perfil y ciclo de vida del inquilino
  - name: Health
    description: Endpoints de estado y preparación del servicio
  - name: Risk
    description: Ingesta de señales de riesgo y detección de fraude
  - name: Risk Enforcement
    description: >-
      Acciones de aplicación de riesgos: bloqueo, desafío, cuarentena y
      configuración
  - name: Billing
    description: Gestión de facturación, suscripciones y complementos
  - name: Machine Identity
    description: >-
      Protocolo de Identidad de Agente de Máquina (MAIP) — registro de agentes,
      sesiones, confianza, testigo, cumplimiento, orquestación y observabilidad
externalDocs:
  description: API de transparencia de solo lectura (especificación de servicio separada)
  url: >-
    https://github.com/truthlocks/truthlock/blob/main/docs/transparency/openapi.yaml
paths:
  /v1/attestations/{id}/proof-bundle:
    get:
      tags:
        - Verification
      summary: Obtener Paquete de Prueba
      description: >
        Devuelve un paquete de prueba completo para verificación fuera de línea.
        Incluye:

        - La propia atestación

        - Información del emisor

        - Clave pública utilizada para la firma

        - Prueba de inclusión en el registro de transparencia

        - Encabezado de árbol firmado
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: Paquete de prueba
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProofBundle'
        '404':
          description: Atestación no encontrada
      security:
        - APIKey: []
components:
  schemas:
    ProofBundle:
      type: object
      properties:
        attestation:
          $ref: '#/components/schemas/Attestation'
        issuer:
          $ref: '#/components/schemas/Issuer'
        key:
          $ref: '#/components/schemas/Key'
        inclusion_proof:
          type: object
          properties:
            log_index:
              type: integer
            root_hash:
              type: string
            hashes:
              type: array
              items:
                type: string
        signed_tree_head:
          type: object
          properties:
            tree_size:
              type: integer
            root_hash:
              type: string
            signature:
              type: string
    Attestation:
      type: object
      properties:
        id:
          type: string
          format: uuid
        issuer_id:
          type: string
          format: uuid
        kid:
          type: string
        status:
          type: string
          enum:
            - VALID
            - REVOKED
            - SUPERSEDED
        payload:
          type: object
        signature:
          type: string
        log_index:
          type: integer
        created_at:
          type: string
          format: date-time
    Issuer:
      type: object
      properties:
        id:
          type: string
          format: uuid
        tenant_id:
          type: string
          format: uuid
        name:
          type: string
        domain:
          type: string
        status:
          type: string
          enum:
            - PENDING
            - APPROVED
            - SUSPENDED
            - REVOKED
        trust_level:
          type: string
          enum:
            - BASIC
            - VERIFIED
            - ENTERPRISE
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
    Key:
      type: object
      properties:
        kid:
          type: string
          description: Identificador de clave
        issuer_id:
          type: string
          format: uuid
        algorithm:
          $ref: '#/components/schemas/SigningAlgorithm'
        public_key:
          type: string
          description: Clave pública codificada en Base64
        status:
          type: string
          enum:
            - ACTIVE
            - DISABLED
            - EXPIRED
        not_before:
          type: string
          format: date-time
        expires_at:
          type: string
          format: date-time
    SigningAlgorithm:
      type: string
      enum:
        - Ed25519
        - ES256
        - ES384
        - ES512
        - RS256
        - RS384
        - RS512
        - PS256
        - PS384
        - PS512
      description: Algoritmo de firma para la generación de claves
  securitySchemes:
    APIKey:
      type: apiKey
      in: header
      name: X-API-Key
      description: Clave API para autenticación máquina a máquina
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: JWT para operaciones iniciadas por el usuario

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.